package com.cultural.heritage.model.dto.clotheCategory;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 服装类别添加请求体
 */
@Data
@Schema(description = "服装类别添加请求体", requiredProperties = {"name", "price"})
public class ClothesCategoryAddRequest implements Serializable {

    /**
     * 类别名称
     */
    @Schema(description = "服装类别名称", example = "夏季男装")
    private String name;

    /**
     * 定金
     */
    @Schema(description = "服装类别定金", example = "100.00")
    private BigDecimal price;


    @Serial
    private static final long serialVersionUID = 1L;
}
