package com.cultural.heritage.model.dto.clotheCategory;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 服装类别更新请求体
 */
@Data
@Schema(description = "服装类别更新请求体", requiredProperties = {"id", "name", "price"})
public class ClothesCategoryUpdateRequest implements Serializable {

    /**
     * id
     */
    @Schema(description = "服装类别id (id > 0)", example = "2")
    private Long id;

    /**
     * 类别名称
     */
    @Schema(description = "服装类别名称", example = "秋季女装")
    private String name;

    /**
     * 定金
     */
    @Schema(description = "服装类别定金", example = "150.00")
    private BigDecimal price;


    @Serial
    private static final long serialVersionUID = 1L;
}
