package com.cultural.heritage.model.dto.clothes;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 服装查询请求体
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "服装查询请求体", requiredProperties = {"current", "pageSize"})
public class ClothesQueryRequest extends PageRequest implements Serializable {

    /**
     * 服装id
     */
    @Schema(description = "服装id(id > 0)", example = "17")
    private Long id;

    /**
     * 服装名称
     */
    @Schema(description = "服装名称", example = "汉服")
    private String name;

    /**
     * 类别id
     */
    @Schema(description = "服装类别id", example = "1")
    private Long categoryId;

    /**
     * 是否上架
     */
    @Schema(description = "是否上架(1:上架;0:下架)", example = "1")
    private Integer isShelves;

    @Serial
    private static final long serialVersionUID = 1L;
}
