package com.cultural.heritage.model.dto.clothesRentOrder;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "服装租赁订单查询请求体", requiredProperties = {"clothesId", "contactsId", "rentDays"})
public class ClothesRentOrderQueryRequest extends PageRequest implements Serializable {


    /**
     * 订单号
     */
    @Schema(description = "订单号(id > 0)", example = "2432432432342")
    private String orderNumber;


    /**
     * 订单状态
     */
    @Schema(description = "订单状态", example = "待支付")
    private String orderStatus;


    /**
     * 联系人姓名
     */
    @Schema(description = "联系人姓名", example = "10")
    private String name;


    /**
     * 联系人手机号
     */
    @Schema(description = "联系人手机号", example = "15888610253")
    private String phone;


    @Serial
    private static final long serialVersionUID = 1L;
}
