package com.cultural.heritage.model.dto.snapshot;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "订单地址信息", requiredProperties = {"name", "phone", "region", "detailAddress"})
public class AddressSnapshot implements Serializable {


    /**
     * 联系人
     */
    @Schema(description = "收货人", example = "张三")
    private String name;


    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "18845892473")
    private String phone;


    /**
     * 地区
     */
    @Schema(description = "地区", example = "黑龙江省哈尔滨市呼兰区")
    private String region;


    /**
     * 详细地址
     */
    @Schema(description = "详细地址", example = "学院路街道288号哈尔滨华德学院")
    private String detailAddress;



    @Serial
    private static final long serialVersionUID = 1L;
}
