package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.cultural.heritage.model.dto.snapshot.ClothesSnapshot;
import com.cultural.heritage.model.dto.snapshot.ContactsSnapshot;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 服装租赁订单表
 * @TableName   clothes_order
 */
@Data
@TableName(value = "clothes_rent_order", autoResultMap = true)
public class ClothesRentOrder implements Serializable {

    /**
     * 服装租赁订单id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 订单状态
     */
    private String orderStatus;

    /**
     * 服装信息快照
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ClothesSnapshot clothesSnapshot;

    /**
     * 联系人信息快照
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ContactsSnapshot contactsSnapshot;

    /**
     * 租赁天数
     */
    private Integer rentDays;

    /**
     * 总价
     */
    private BigDecimal totalAmount;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @Serial
    private static final long serialVersionUID = 1L;
}
