package com.cultural.heritage.model.vo.advanceorder;

import com.cultural.heritage.model.dto.snapshot.ContactsSnapshot;
import com.cultural.heritage.model.dto.snapshot.PhotoProductsSnapshot;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class AdvanceOrderVO implements Serializable {


    /**
     * 写真预约订单id
     */
    private Long id;


    /**
     * 订单号
     */
    private String orderNumber;


    /**
     * 写真产品信息快照
     */
    private PhotoProductsSnapshot photoProductsSnapshot;


    /**
     * 定金
     */
    private BigDecimal totalAmount;


    /**
     * 联系人信息快照
     */
    private ContactsSnapshot contactsSnapshot;


    /**
     * 预约具体日期
     */
    private String specificDate;


    /**
     * 预约时间
     */
    private String timePoint;


    /**
     * 是否是室内
     */
    private Integer isIndoors;


    /**
     * 是否选择妆发服务
     */
    private Integer isMakeup;


    /**
     * 是否选择摄影服务
     */
    private Integer isPhotography;


    /**
     * 用户id
     */
    private Long userId;


    /**
     * 订单状态
     */
    private String orderStatus;


    /**
     * 购买数量
     */
    private Integer quantity;


    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;



    @Serial
    private static final long serialVersionUID = 1L;
}
