package com.cultural.heritage.model.vo.clothesRentOrder;

import com.cultural.heritage.model.dto.snapshot.ClothesSnapshot;
import com.cultural.heritage.model.dto.snapshot.ContactsSnapshot;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ClothesRentOrderVO implements Serializable {


    /**
     * 服装租赁订单id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 订单状态
     */
    private String orderStatus;

    /**
     * 服装信息快照
     */
    private ClothesSnapshot clothesSnapshot;

    /**
     * 联系人信息快照
     */
    private ContactsSnapshot contactsSnapshot;

    /**
     * 租赁天数
     */
    private Integer rentDays;

    /**
     * 总价
     */
    private BigDecimal totalAmount;

    /**
     * 订单创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


    /**
     * 订单更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;



    @Serial
    private static final long serialVersionUID = 1L;
}
