package com.cultural.heritage.model.vo.order;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class PendingServiceGoodVO implements Serializable {

    /**
     * 服务类商品待处理id
     */
    private Long id;


    /**
     * 商品id
     */
    private Long goodId;


    /**
     * 商品图片
     */
    private String goodImg;


    /**
     * 商品价格
     */
    private BigDecimal price;


    /**
     * 预约日期
     */
    private String reservationDate;


    /**
     * 预约时间段
     */
    private String timeSlot;


    /**
     * 是否可预约
     */
    private Integer isAvailable;


    /**
     * 最小预约人数
     */
    private Integer minNumber;


    /**
     * 最大预约人数
     */
    private Integer maxNumber;


    /**
     * 订单预约情况
     */
    private List<PendingServiceOrderVO> pendingServiceOrderVOList;


    @Serial
    private static final long serialVersionUID = 1L;
}
