package com.cultural.heritage.service.order.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.mapper.PendingServiceGoodMapper;
import com.cultural.heritage.model.dto.order.BookingOrderQueryRequest;
import com.cultural.heritage.model.entity.PendingServiceGood;
import com.cultural.heritage.service.order.PendingServiceGoodService;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class PendingServiceGoodServiceImpl extends ServiceImpl<PendingServiceGoodMapper, PendingServiceGood> implements PendingServiceGoodService {


    /**
     * 获取待处理商品查询条件
     */
    @Override
    public QueryWrapper<PendingServiceGood> getQueryWrapper(BookingOrderQueryRequest bookingOrderQueryRequest) {
        Long goodId = bookingOrderQueryRequest.getGoodId();
        String reservationDate = bookingOrderQueryRequest.getReservationDate();
        String timeSlot = bookingOrderQueryRequest.getTimeSlot();

        QueryWrapper<PendingServiceGood> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(ObjectUtils.isNotEmpty(goodId), "goodId", goodId);
        queryWrapper.eq(StringUtils.isNotBlank(reservationDate), "reservationDate", reservationDate);
        queryWrapper.eq(StringUtils.isNotBlank(timeSlot), "timeSlot", timeSlot);

        return queryWrapper;
    }
}
